# Class GtexExperiment

java.lang.Object
org.snpeff.gtex.GtexExperiment

public class GtexExperiment extends Object
A 'column' in a GTEx file (values from one experiment

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`GtexExperiment(Gtex gtex, String line)`
`GtexExperiment(Gtex gtex, String id, String tissueType, String tissueTypeDetail)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(double value)`
`Gtex`
`getGtex()`
`String`
`getId()`
`String`
`getTissueType()`
`String`
`getTissueTypeDetail()`
`double`
`getValue(int idx)`
`double`
`getValue(String geneId)`
Get value by geneID
`protected void`
`parse(String line)`
`int`
`size()`
`String`
`toString()`
`String`
`toStringAll()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GtexExperiment

public GtexExperiment(Gtex gtex, String line)

### GtexExperiment

public GtexExperiment(Gtex gtex, String id, String tissueType, String tissueTypeDetail)

## Method Details

### add

public void add(double value)

### getGtex

public Gtex getGtex()

### getId

public String getId()

### getTissueType

public String getTissueType()

### getTissueTypeDetail

public String getTissueTypeDetail()

### getValue

public double getValue(int idx)

### getValue

public double getValue(String geneId)
Get value by geneID

Parameters:
  `geneId` -
Returns:

### parse

protected void parse(String line)

### size

public int size()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toStringAll

public String toStringAll()